Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#1237 TightVNC 2.7.1, Windows 2008r2, RFB error, bad screen size

closed-fixed
alex-tightvnc
5
2013-05-29
2013-04-26
DaemonCZE
No

Hi,
I have problem with TightVNC 2.7.1 x64bit on Windows 2008 r2.
System:
- debian box, kvm-qemu
- clean install Windows 2008 r2
- all updates include optional
- TightVNC 2.7.1
- DFMirage Driver 2.0.301

Problem:
Before windows update everything was ok. After windows optional update I can no longer connect to the TightVNC server. From RealVNC Viewer I get error "RFB error: bad screen size 0x0". With TightVNC Viewer I get only toolbar from client, but without image.
It become independent of the two clean installed servers.

Discussion

  • Shane Forsythe
    Shane Forsythe
    2013-04-29

    We are seeing this same issue as well on almost identical configuration

    Brand new machine, Windows 2008 r2
    Initially setup with TightVNC 2.7.1 dn DFMirage. VNC was working fine.

    We ran Windows Update to get current, and vnc no longer worked, would report Screen geometry of 0x0

    We uninstalled 2.7.1, and installed 2.6.4 and VNC works

    Attached is a log file from 2.7.1 when VNC was not working

    [ 3560/ 476] 2013-04-29 11:29:09 + TightVNC Server Build on Apr 24 2013 at 15:15:50
    [ 3560/ 476] 2013-04-29 11:29:09 + Stopping main RFB server
    [ 3560/ 476] 2013-04-29 11:29:09 + Starting main RFB server
    [ 3560/ 476] 2013-04-29 11:29:09 + Rfb server started at 0.0.0.0:5900
    [ 3560/ 476] 2013-04-29 11:29:09 + Need to reconfigure extra RFB servers
    [ 3560/ 476] 2013-04-29 11:29:09 + Stopping HTTP server
    [ 3560/ 476] 2013-04-29 11:29:09 + Starting HTTP server
    [ 3560/ 476] 2013-04-29 11:29:09 + Http server started
    [ 3560/ 476] 2013-04-29 11:29:09 + Stopping control server
    [ 3560/ 476] 2013-04-29 11:29:09 + Starting control server
    [ 3560/ 476] 2013-04-29 11:29:09 + Control server started
    [ 3560/ 3404] 2013-04-29 11:29:42 + Incoming rfb connection from 74.95.78.33
    [ 3560/ 3592] 2013-04-29 11:29:46 ! write() function stopped because transport has not been initialized yet.
    [ 3560/ 3592] 2013-04-29 11:29:46 + File transfer request handler created
    [ 3560/ 3592] 2013-04-29 11:29:55 + Connection has been closed
    [ 3560/ 3592] 2013-04-29 11:29:55 + File transfer request handler deleted
    [ 568/ 4060] 2013-04-29 11:29:55 ! AnonymousPipe::read() failed (m_hRead = 0000000000000008)
    [ 568/ 4060] 2013-04-29 11:29:55 ! The DesktopServerApplication dispatcher has failed with error: The Pipe's read function failed after ReadFile calling (The pipe has been ended. (109))
    [ 568/ 4060] 2013-04-29 11:29:55 ! An error has been occurred in the desktop server. Application will be closed.
    [ 568/ 4060] 2013-04-29 11:29:55 + The DesktopServerApplication dispatcher has been stopped
    [ 3560/ 1460] 2013-04-29 11:29:55 ! AnonymousPipe::read() failed (m_hRead = FFFFFFFFFFFFFFFF)
    [ 3560/ 1460] 2013-04-29 11:29:55 ! The Pipe's read function failed after ReadFile calling (The pipe has been ended. (109))
    [ 3560/ 1460] 2013-04-29 11:29:55 ! The DesktopServerApplication dispatcher has failed with error: The ReconnectingChannel::read() function failed.
    [ 3560/ 1460] 2013-04-29 11:29:55 ! onAbnormalDesktopTerminate() called
    [ 3560/ 1460] 2013-04-29 11:29:55 ! Forced closing of pipe conections
    [ 3560/ 1460] 2013-04-29 11:29:55 + The DesktopServerApplication dispatcher has been stopped
    [ 3560/ 3064] 2013-04-29 11:29:55 + Connection has been closed
    [ 3560/ 3404] 2013-04-29 11:30:26 + Incoming rfb connection from 74.95.78.33
    [ 3560/ 3492] 2013-04-29 11:30:29 ! write() function stopped because transport has not been initialized yet.
    [ 3560/ 3492] 2013-04-29 11:30:29 + File transfer request handler created
    [ 3560/ 3492] 2013-04-29 11:30:41 + Connection has been closed
    [ 3560/ 3492] 2013-04-29 11:30:41 + File transfer request handler deleted
    [ 3264/ 4016] 2013-04-29 11:30:41 ! AnonymousPipe::read() failed (m_hRead = 0000000000000008)
    [ 3264/ 4016] 2013-04-29 11:30:41 ! The DesktopServerApplication dispatcher has failed with error: The Pipe's read function failed after ReadFile calling (The pipe has been ended. (109))
    [ 3264/ 4016] 2013-04-29 11:30:41 ! An error has been occurred in the desktop server. Application will be closed.
    [ 3264/ 4016] 2013-04-29 11:30:41 + The DesktopServerApplication dispatcher has been stopped
    [ 3560/ 252] 2013-04-29 11:30:41 ! AnonymousPipe::read() failed (m_hRead = FFFFFFFFFFFFFFFF)
    [ 3560/ 252] 2013-04-29 11:30:41 ! The Pipe's read function failed after ReadFile calling (The pipe has been ended. (109))
    [ 3560/ 252] 2013-04-29 11:30:41 ! The DesktopServerApplication dispatcher has failed with error: The ReconnectingChannel::read() function failed.
    [ 3560/ 252] 2013-04-29 11:30:41 ! onAbnormalDesktopTerminate() called
    [ 3560/ 252] 2013-04-29 11:30:41 ! Forced closing of pipe conections
    [ 3560/ 252] 2013-04-29 11:30:41 + The DesktopServerApplication dispatcher has been stopped
    [ 3560/ 3064] 2013-04-29 11:30:41 + Connection has been closed
    [ 3560/ 2880] 2013-04-29 11:40:27 ! Exception in control client thread: "The Pipe's read function failed after GetOverlappedResult calling (The pipe has been ended. (109))"

     
  • SiberX
    SiberX
    2013-05-07

    I have encountered exactly the same error described here on a Win7 64-bit Pro system. TightVNC 2.7.1 worked fine initially (with or without mirror driver) but after windows updates it would exhibit the 0x0 screen size error. Multiple re-installs and wipes of TightVNC settings had no effect, but downgrading to 2.6.4 resolved the issue immediately.

     
  • alex-tightvnc
    alex-tightvnc
    2013-05-24

    • assigned_to: nobody --> alex-tightvnc
    • status: open --> open-accepted
     
  • alex-tightvnc
    alex-tightvnc
    2013-05-29

    Fixed in 2.7.3 version.

     
  • alex-tightvnc
    alex-tightvnc
    2013-05-29

    • status: open-accepted --> closed-fixed